# Uses of Interface
org.eclipse.ecf.core.IContainer

Packages that use IContainer
Package
Description
org.eclipse.ecf.console
org.eclipse.ecf.core
org.eclipse.ecf.core.provider
org.eclipse.ecf.core.security
org.eclipse.ecf.core.sharedobject
org.eclipse.ecf.core.util
org.eclipse.ecf.discovery
org.eclipse.ecf.osgi.services.remoteserviceadmin
org.eclipse.ecf.provider.dnssd
org.eclipse.ecf.provider.filetransfer.browse
org.eclipse.ecf.provider.filetransfer.outgoing
org.eclipse.ecf.provider.filetransfer.retrieve
org.eclipse.ecf.provider.generic
org.eclipse.ecf.provider.jslp.container
org.eclipse.ecf.provider.remoteservice.generic
org.eclipse.ecf.provider.zookeeper.core
org.eclipse.ecf.remoteservice
org.eclipse.ecf.remoteservice.client
org.eclipse.ecf.remoteservice.provider
org.eclipse.ecf.remoteservice.rest.client
org.eclipse.ecf.remoteservice.servlet

## Uses of IContainer in org.eclipse.ecf.console

Methods in org.eclipse.ecf.console that return IContainer
Modifier and Type
Method
Description
`protected IContainer`
AbstractCommand.`getContainerForId(String id)`
Methods in org.eclipse.ecf.console that return types with arguments of type IContainer
Modifier and Type
Method
Description
`protected List<IContainer>`
AbstractCommand.`getContainers()`
Methods in org.eclipse.ecf.console with parameters of type IContainer
Modifier and Type
Method
Description
`protected String`
AbstractCommand.`formatContainer(IContainer c, int level, org.apache.felix.service.command.Converter escape)`

## Uses of IContainer in org.eclipse.ecf.core

Subinterfaces of IContainer in org.eclipse.ecf.core
Modifier and Type
Interface
Description
`interface`
`IReliableContainer`
Contract for reliable container.
Classes in org.eclipse.ecf.core that implement IContainer
Modifier and Type
Class
Description
`class`
`AbstractContainer`
Abstract implementation of IContainer.
`class`
`BaseContainer`
Base implementation of IContainer.
Methods in org.eclipse.ecf.core that return IContainer
Modifier and Type
Method
Description
`IContainer`
ContainerFactory.`addContainer(IContainer container, ContainerTypeDescription typeDescription)`
`IContainer`
IContainerManager.`addContainer(IContainer container, ContainerTypeDescription typeDescription)`
Add given container to manager.
`IContainer`
ContainerFactory.`createContainer()`
`IContainer`
ContainerFactory.`createContainer(String containerTypeDescriptionName)`
`IContainer`
ContainerFactory.`createContainer(String containerTypeDescriptionName, Object[] parameters)`
`IContainer`
ContainerFactory.`createContainer(String containerTypeDescriptionName, String containerId)`
`IContainer`
ContainerFactory.`createContainer(String containerTypeDescriptionName, String containerId, Object[] parameters)`
`IContainer`
ContainerFactory.`createContainer(String containerTypeDescriptionName, String containerId, Map parameters)`
`IContainer`
ContainerFactory.`createContainer(String containerTypeDescriptionName, Map parameters)`
`IContainer`
ContainerFactory.`createContainer(String containerTypeDescriptionName, ID containerID)`
`IContainer`
ContainerFactory.`createContainer(String containerTypeDescriptionName, ID containerID, Object[] parameters)`
`IContainer`
ContainerFactory.`createContainer(String containerTypeDescriptionName, ID containerID, Map parameters)`
`IContainer`
ContainerFactory.`createContainer(ContainerTypeDescription containerTypeDescription)`
`IContainer`
ContainerFactory.`createContainer(ContainerTypeDescription containerTypeDescription, Object[] parameters)`
`IContainer`
ContainerFactory.`createContainer(ContainerTypeDescription containerTypeDescription, String containerId)`
`IContainer`
ContainerFactory.`createContainer(ContainerTypeDescription containerTypeDescription, String containerId, Object[] parameters)`
`IContainer`
ContainerFactory.`createContainer(ContainerTypeDescription containerTypeDescription, String containerId, Map parameters)`
`IContainer`
ContainerFactory.`createContainer(ContainerTypeDescription containerTypeDescription, Map parameters)`
`IContainer`
ContainerFactory.`createContainer(ContainerTypeDescription containerTypeDescription, ID containerID)`
`IContainer`
ContainerFactory.`createContainer(ContainerTypeDescription containerTypeDescription, ID containerID, Object[] parameters)`
`IContainer`
ContainerFactory.`createContainer(ContainerTypeDescription containerTypeDescription, ID containerID, Map parameters)`
`IContainer`
ContainerFactory.`createContainer(ID containerID)`
`IContainer`
IContainerFactory.`createContainer()`
Make a base IContainer instance.
`IContainer`
IContainerFactory.`createContainer(String containerTypeDescriptionName)`
Create a new container.
`IContainer`
IContainerFactory.`createContainer(String containerTypeDescriptionName, Object[] parameters)`
Create a new container.
`IContainer`
IContainerFactory.`createContainer(String containerTypeDescriptionName, String containerId)`
Create a new container.
`IContainer`
IContainerFactory.`createContainer(String containerTypeDescriptionName, String containerId, Object[] parameters)`
Create a new container.
`IContainer`
IContainerFactory.`createContainer(String containerTypeDescriptionName, String containerId, Map parameters)`
Create a new container.
`IContainer`
IContainerFactory.`createContainer(String containerTypeDescriptionName, Map parameters)`
Create a new container.
`IContainer`
IContainerFactory.`createContainer(String containerTypeDescriptionName, ID containerID)`
Create a new container.
`IContainer`
IContainerFactory.`createContainer(String containerTypeDescriptionName, ID containerID, Object[] parameters)`
Create a new container.
`IContainer`
IContainerFactory.`createContainer(String containerTypeDescriptionName, ID containerID, Map parameters)`
Create a new container.
`IContainer`
IContainerFactory.`createContainer(ContainerTypeDescription containerTypeDescription)`
Create a new container.
`IContainer`
IContainerFactory.`createContainer(ContainerTypeDescription containerTypeDescription, Object[] parameters)`
Create a new container.
`IContainer`
IContainerFactory.`createContainer(ContainerTypeDescription containerTypeDescription, String containerId)`
Create a new container.
`IContainer`
IContainerFactory.`createContainer(ContainerTypeDescription containerTypeDescription, String containerId, Object[] parameters)`
Create a new container.
`IContainer`
IContainerFactory.`createContainer(ContainerTypeDescription containerTypeDescription, String containerId, Map parameters)`
Create a new container.
`IContainer`
IContainerFactory.`createContainer(ContainerTypeDescription containerTypeDescription, Map parameters)`
Create a new container.
`IContainer`
IContainerFactory.`createContainer(ContainerTypeDescription containerTypeDescription, ID containerID)`
Create a new container.
`IContainer`
IContainerFactory.`createContainer(ContainerTypeDescription containerTypeDescription, ID containerID, Object[] parameters)`
Create a new container.
`IContainer`
IContainerFactory.`createContainer(ContainerTypeDescription containerTypeDescription, ID containerID, Map parameters)`
Create a new container.
`IContainer`
IContainerFactory.`createContainer(ID containerID)`
Create a new container.
`IContainer`
BaseContainer.Instantiator.`createInstance(ContainerTypeDescription description, Object[] parameters)`
`IContainer[]`
ContainerFactory.`getAllContainers()`
`IContainer[]`
IContainerManager.`getAllContainers()`
Get all containers known to this container manager.
`IContainer`
ContainerFactory.`getContainer(ID containerID)`
`IContainer`
IContainerManager.`getContainer(ID containerID)`
Get container for given ID.
`IContainer`
ContainerFactory.`removeContainer(IContainer container)`
`IContainer`
ContainerFactory.`removeContainer(ID containerID)`
`IContainer`
IContainerManager.`removeContainer(IContainer container)`
Remove given container from manager.
`IContainer`
IContainerManager.`removeContainer(ID containerID)`
Remove given container from manager.
Methods in org.eclipse.ecf.core with parameters of type IContainer
Modifier and Type
Method
Description
`IContainer`
ContainerFactory.`addContainer(IContainer container, ContainerTypeDescription typeDescription)`
`IContainer`
IContainerManager.`addContainer(IContainer container, ContainerTypeDescription typeDescription)`
Add given container to manager.
`void`
IContainerManagerListener.`containerAdded(IContainer container)`
Container added to the implementing IContainerManager.
`void`
IContainerManagerListener.`containerRemoved(IContainer container)`
Container removed from the implementing IContainerManager.
`protected abstract Object`
AbstractContainerAdapterFactory.`getContainerAdapter(IContainer container, Class adapterType)`
Method called by implementation of `AbstractContainerAdapterFactory.getAdapter(Object, Class)` if the adaptableObject is an instance of `IContainer`.
`IContainer`
ContainerFactory.`removeContainer(IContainer container)`
`IContainer`
IContainerManager.`removeContainer(IContainer container)`
Remove given container from manager.

## Uses of IContainer in org.eclipse.ecf.core.provider

Methods in org.eclipse.ecf.core.provider that return IContainer
Modifier and Type
Method
Description
`IContainer`
BaseContainerInstantiator.`createInstance(ContainerTypeDescription description, Object[] parameters)`
`IContainer`
IContainerInstantiator.`createInstance(ContainerTypeDescription description, Object[] parameters)`
Create instance of IContainer.

## Uses of IContainer in org.eclipse.ecf.core.security

Methods in org.eclipse.ecf.core.security with parameters of type IContainer
Modifier and Type
Method
Description
`Object`
IConnectInitiatorPolicy.`createConnectData(IContainer container, ID targetID, IConnectContext context)`
Create connect data for given IContainer, given targetID and given context

## Uses of IContainer in org.eclipse.ecf.core.sharedobject

Subinterfaces of IContainer in org.eclipse.ecf.core.sharedobject
Modifier and Type
Interface
Description
`interface`
`ISharedObjectContainer`
Core interface that must be implemented by all ECF container instances.
Methods in org.eclipse.ecf.core.sharedobject with parameters of type IContainer
Modifier and Type
Method
Description
`protected Object`
AbstractSharedObjectContainerAdapterFactory.`getContainerAdapter(IContainer container, Class adapterType)`

## Uses of IContainer in org.eclipse.ecf.core.util

Methods in org.eclipse.ecf.core.util with parameters of type IContainer
Modifier and Type
Method
Description
`boolean`
AdapterContainerFilter.`match(IContainer containerToMatch)`
`boolean`
ConnectedContainerFilter.`match(IContainer containerToMatch)`
`boolean`
IContainerFilter.`match(IContainer containerToMatch)`
Match a given containerToMatch against some set of implementation-defined criteria.

## Uses of IContainer in org.eclipse.ecf.discovery

Classes in org.eclipse.ecf.discovery that implement IContainer
Modifier and Type
Class
Description
`class`
`AbstractDiscoveryContainerAdapter`

## Uses of IContainer in org.eclipse.ecf.osgi.services.remoteserviceadmin

Methods in org.eclipse.ecf.osgi.services.remoteserviceadmin that return IContainer
Modifier and Type
Method
Description
`protected IContainer`
AbstractContainerSelector.`createContainer(ServiceReference serviceReference, Map<String,Object> properties, ContainerTypeDescription containerTypeDescription)`
`protected IContainer`
AbstractContainerSelector.`createContainer(ServiceReference serviceReference, Map<String,Object> properties, ContainerTypeDescription containerTypeDescription, String[] intents)`
`protected IContainer[]`
AbstractContainerSelector.`getContainers()`
Methods in org.eclipse.ecf.osgi.services.remoteserviceadmin with parameters of type IContainer
Modifier and Type
Method
Description
`protected void`
AbstractContainerSelector.`connectContainer(IContainer container, ID connectTargetID, IConnectContext connectContext)`
`protected void`
AbstractHostContainerSelector.`connectHostContainer(ServiceReference serviceReference, Map<String,Object> properties, IContainer container, Object target)`
`protected IConnectContext`
AbstractContainerSelector.`createConnectContext(ServiceReference serviceReference, Map<String,Object> properties, IContainer container, Object context)`
`protected ID`
AbstractContainerSelector.`createTargetID(IContainer container, String target)`
`protected void`
AbstractContainerSelector.`disconnectContainer(IContainer container)`
`protected IConnectContext`
AbstractConsumerContainerSelector.`getConnectContext(IContainer container, ID connectTargetID)`
`protected ContainerTypeDescription`
AbstractContainerSelector.`getContainerTypeDescription(IContainer container)`
`protected IRemoteServiceContainer[]`
AbstractContainerSelector.`getRemoteServiceContainers(IContainer[] containers)`
`protected IRemoteServiceContainerAdapter`
AbstractContainerSelector.`hasRemoteServiceContainerAdapter(IContainer container)`
`protected boolean`
AbstractContainerSelector.`includeContainerWithConnectNamespace(IContainer container, String connectNamespaceName)`
`protected boolean`
AbstractContainerSelector.`matchConnectNamespace(IContainer container, ID endpointID, ID connectTargetID)`
`protected boolean`
AbstractContainerSelector.`matchContainerID(IContainer container, ID endpointID)`
`protected boolean`
AbstractHostContainerSelector.`matchExistingHostContainer(ServiceReference serviceReference, Map<String,Object> properties, IContainer container, IRemoteServiceContainerAdapter adapter, ContainerTypeDescription description, String[] requiredConfigTypes, String[] requiredServiceIntents)`
`protected boolean`
AbstractHostContainerSelector.`matchHostContainerID(ServiceReference serviceReference, Map<String,Object> properties, IContainer container)`
`protected boolean`
AbstractHostContainerSelector.`matchHostContainerToConnectTarget(ServiceReference serviceReference, Map<String,Object> properties, IContainer container)`
`protected boolean`
AbstractHostContainerSelector.`matchHostSupportedIntents(String[] serviceRequiredIntents, ContainerTypeDescription containerTypeDescription, IContainer container)`
`protected boolean`
AbstractConsumerContainerSelector.`matchNotConnected(IContainer container, ID endpointID, ID connectTargetID)`
`protected boolean`
AbstractConsumerContainerSelector.`matchSupportedConfigs(IContainer container, String[] remoteSupportedConfigs)`

## Uses of IContainer in org.eclipse.ecf.provider.dnssd

Classes in org.eclipse.ecf.provider.dnssd that implement IContainer
Modifier and Type
Class
Description
`class`
`DnsSdDiscoveryAdvertiser`
`class`
`DnsSdDiscoveryContainerAdapter`
`class`
`DnsSdDiscoveryLocator`
Methods in org.eclipse.ecf.provider.dnssd that return IContainer
Modifier and Type
Method
Description
`IContainer`
ContainerInstantiator.`createInstance(ContainerTypeDescription description, Object[] parameters)`

## Uses of IContainer in org.eclipse.ecf.provider.filetransfer.browse

Methods in org.eclipse.ecf.provider.filetransfer.browse with parameters of type IContainer
Modifier and Type
Method
Description
`protected Object`
MultiProtocolFileSystemBrowserAdapterFactory.`getContainerAdapter(IContainer container, Class adapterType)`

## Uses of IContainer in org.eclipse.ecf.provider.filetransfer.outgoing

Methods in org.eclipse.ecf.provider.filetransfer.outgoing with parameters of type IContainer
Modifier and Type
Method
Description
`protected Object`
MultiProtocolOutgoingAdapterFactory.`getContainerAdapter(IContainer container, Class adapterType)`

## Uses of IContainer in org.eclipse.ecf.provider.filetransfer.retrieve

Methods in org.eclipse.ecf.provider.filetransfer.retrieve with parameters of type IContainer
Modifier and Type
Method
Description
`protected Object`
MultiProtocolRetrieveAdapterFactory.`getContainerAdapter(IContainer container, Class adapterType)`

## Uses of IContainer in org.eclipse.ecf.provider.generic

Classes in org.eclipse.ecf.provider.generic that implement IContainer
Modifier and Type
Class
Description
`class`
`ClientSOContainer`
`class`
`ServerSOContainer`
`class`
`SOContainer`
`class`
`SSLClientSOContainer`
`class`
`SSLServerSOContainer`
`class`
`TCPClientSOContainer`
`class`
`TCPServerSOContainer`
Methods in org.eclipse.ecf.provider.generic that return IContainer
Modifier and Type
Method
Description
`protected IContainer`
GenericContainerInstantiator.`createClientContainer(GenericContainerInstantiator.GenericContainerArgs gcargs)`
`protected IContainer`
SSLGenericContainerInstantiator.`createClientContainer(SSLGenericContainerInstantiator.GenericContainerArgs gcargs)`
`IContainer`
GenericContainerInstantiator.`createInstance(ContainerTypeDescription description, Object[] args)`
`IContainer`
SSLGenericContainerInstantiator.`createInstance(ContainerTypeDescription description, Object[] args)`
`protected IContainer`
GenericContainerInstantiator.`createServerContainer(GenericContainerInstantiator.GenericContainerArgs gcargs)`
`protected IContainer`
SSLGenericContainerInstantiator.`createServerContainer(SSLGenericContainerInstantiator.GenericContainerArgs gcargs)`

## Uses of IContainer in org.eclipse.ecf.provider.jslp.container

Classes in org.eclipse.ecf.provider.jslp.container that implement IContainer
Modifier and Type
Class
Description
`class`
`JSLPDiscoveryContainer`
Methods in org.eclipse.ecf.provider.jslp.container that return IContainer
Modifier and Type
Method
Description
`IContainer`
ContainerInstantiator.`createInstance(ContainerTypeDescription description, Object[] args)`

## Uses of IContainer in org.eclipse.ecf.provider.remoteservice.generic

Classes in org.eclipse.ecf.provider.remoteservice.generic that implement IContainer
Modifier and Type
Class
Description
`class`
`RemoteServiceContainer`

## Uses of IContainer in org.eclipse.ecf.provider.zookeeper.core

Classes in org.eclipse.ecf.provider.zookeeper.core that implement IContainer
Modifier and Type
Class
Description
`class`
`ZooDiscoveryContainer`
Methods in org.eclipse.ecf.provider.zookeeper.core that return IContainer
Modifier and Type
Method
Description
`IContainer`
ZooDiscoveryContainerInstantiator.`createInstance(ContainerTypeDescription description, Object[] parameters)`

## Uses of IContainer in org.eclipse.ecf.remoteservice

Classes in org.eclipse.ecf.remoteservice that implement IContainer
Modifier and Type
Class
Description
`class`
`AbstractRSAContainer`
Abstract container that is intended for use by RSA distribution providers.
Methods in org.eclipse.ecf.remoteservice that return IContainer
Modifier and Type
Method
Description
`IContainer`
IRemoteServiceContainer.`getContainer()`
Get the container instance for this remote service container.
`IContainer`
RemoteServiceContainer.`getContainer()`
`protected IContainer`
RemoteServiceContainerAdapterImpl.`getContainer()`
Constructors in org.eclipse.ecf.remoteservice with parameters of type IContainer
Modifier
Constructor
Description
``
`RemoteServiceContainer(IContainer container)`
``
`RemoteServiceContainer(IContainer container, IRemoteServiceContainerAdapter containerAdapter)`
``
`RemoteServiceContainerAdapterImpl(IContainer container)`
``
`RemoteServiceContainerAdapterImpl(IContainer container, org.eclipse.equinox.concurrent.future.IExecutor executor)`

## Uses of IContainer in org.eclipse.ecf.remoteservice.client

Classes in org.eclipse.ecf.remoteservice.client that implement IContainer
Modifier and Type
Class
Description
`class`
`AbstractClientContainer`
Remote service client abstract superclass.
`class`
`AbstractRSAClientContainer`
Abstract client container for use by RSA distribution providers.

## Uses of IContainer in org.eclipse.ecf.remoteservice.provider

Methods in org.eclipse.ecf.remoteservice.provider that return IContainer
Modifier and Type
Method
Description
`IContainer`
RemoteServiceContainerInstantiator.`createInstance(ContainerTypeDescription description, Object[] parameters)`
`abstract IContainer`
RemoteServiceContainerInstantiator.`createInstance(ContainerTypeDescription description, Map<String,?> parameters)`
`protected IContainer`
RemoteServiceContainerInstantiator.`throwCreateException(String message, Throwable cause)`

## Uses of IContainer in org.eclipse.ecf.remoteservice.rest.client

Classes in org.eclipse.ecf.remoteservice.rest.client that implement IContainer
Modifier and Type
Class
Description
`class`
`AbstractRestClientContainer`
`class`
`RestClientContainer`
A container for REST services.

## Uses of IContainer in org.eclipse.ecf.remoteservice.servlet

Classes in org.eclipse.ecf.remoteservice.servlet that implement IContainer
Modifier and Type
Class
Description
`class`
`ServletServerContainer`